%define upstream_name    WWW-UsePerl-Journal
%define upstream_version 0.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Use.perl.org journal entry
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(IO::File)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Piece)
BuildRequires: perl(Time::Seconds)
BuildArch: noarch

%description
An all round journal tool for use.perl addicts. Will access journal entries
for a specific user, or the latest 30 postings, or retrieve a specific
journal entry. Can also post into a specific user's journal.

Note that as on late 2010 use.perl was decommissioned. A read-only version
of the site now exists on the perl.org servers, and a full database backup
is also available if you wish to host your own use.perl archive.

A future edition of this distribution will allow a DBI interface to a local
database to retrieve journal entries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml META.json README LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.250.0-4.mga4
+ Revision: 533016
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 0.250.0-3.mga4
+ Revision: 470591
- bump release

* Sun Jan 13 2013 umeabot <umeabot> 0.250.0-2.mga3
+ Revision: 374812
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 dlucio <dlucio> 0.250.0-1.mga3
+ Revision: 310691
- imported package perl-WWW-UsePerl-Journal


* Sat Oct 27 2012 cpan2dist 0.25-1mga
- initial mageia release, generated with cpan2dist
